> ## Documentation Index
> Fetch the complete documentation index at: https://docs.animusai.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Approve or reject dataset image



## OpenAPI

````yaml api-reference/openapi.json put /{character_id}/dataset/images/{image_id}/approval
openapi: 3.1.0
info:
  version: 2.0.0
  title: Animus API
  description: >-
    Animus' API provides you with a variety of AI-driven capabilities. From
    generating text with our advanced large language models to creating
    customized content schedules, our API's applications are vast and versatile.

    Whether it's facilitating seamless conversation through predictive response
    or simulating a comprehensive content calendar, our advanced functionalities
    can cater to an array of feature requirements.
servers:
  - url: https://api.animusai.co/v2
security: []
paths:
  /{character_id}/dataset/images/{image_id}/approval:
    put:
      tags:
        - Character Dataset
      summary: Approve or reject dataset image
      operationId: updateDatasetImageApproval
      parameters:
        - name: character_id
          in: path
          required: true
          schema:
            type: string
        - name: image_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetImageApprovalRequest'
      responses:
        '200':
          description: Image approval updated.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetActionResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    DatasetImageApprovalRequest:
      type: object
      required:
        - approved
      properties:
        approved:
          type: boolean
    DatasetActionResponse:
      type: object
      properties:
        success:
          type: boolean
        message:
          type: string
        image_id:
          type: string
        approved:
          type: boolean
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````